package com.bjsxt.dao.impl;

import com.bjsxt.commons.JdbcUtils;
import com.bjsxt.dao.UserLoginDao;
import com.bjsxt.pojo.Users;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;

public class UserLoginDaoImpl implements UserLoginDao {
    /**
     * 用户登录的数据库查询
     * @param username
     * @param userpwd
     * @return
     */
    @Override
    public Users selectUsersByUserNameAndUserPwd(String username, String userpwd) {
        Users users = null;
        Connection conn = null;
        try{
            conn = JdbcUtils.getConnection();
            PreparedStatement prepareStatement = conn.prepareStatement("select * from users where username = ? and userpwd = ?");
            prepareStatement.setString(1,username);
            prepareStatement.setString(2,userpwd);
            ResultSet resultSet = prepareStatement.executeQuery();
            while (resultSet.next()){
                users = new Users();
                users.setUsersex(resultSet.getString("usersex"));
                users.setUsername(resultSet.getString("username"));
                users.setUserpwd(resultSet.getString("userpwd"));
                users.setQqnumber(resultSet.getString("qqnumber"));
                users.setUserid(resultSet.getInt("userid"));
                users.setPhonenumber(resultSet.getString("phonenumber"));
            }
        }catch (Exception e){
            e.printStackTrace();
        }finally {

        }
        return null;
    }
}
